Page MenuHomePhabricator

Deploy Growth features on Hindi Wikipedia
Closed, ResolvedPublicWed, Mar 24

Description

Translations

Help panel

  • Help pages (you can provide either a Wikidata link or a link to your wiki):
TaskTranslation of the labelLink
Manual of styleशैली_मार्गदर्शकशैली_मार्गदर्शक
Help:Editingलेख को कैसे बदलें?https://www.mediawiki.org/wiki/Help:VisualEditor/User_guide/hi
Inserting images (using the visual editor)छवियाँ कैसे डालेंhttps://www.mediawiki.org/wiki/Help:VisualEditor/User_guide/hi#Images
Inserting references (using the visual editor)संदर्भ कैसे डालेंhttps://www.mediawiki.org/wiki/Help:VisualEditor/User_guide/hi#Editing_references
Article Wizardकैसे एक लेख बनाने के लिएArticle_wizard

Mentorship module (optional)

Suggested edits

Suggested edits are based on these 5 task-types. At the moment, they can't be substituted. Please check maintenance template and links:

TaskDifficulty levelTask descriptionMaintenance templatesLearn more
Copyedit articleEasyFix spelling, grammar and tonetemplatenot found on Q10953805, use https://en.wikipedia.org/wiki/Wikipedia:Basic_copyediting
Add LinksEasyAdd links between articlestemplate, and template2Documentation on mw.org
Update articleMediumBring existing articles up-to-datetemplatenot found on Q4664141, use https://en.wikipedia.org/wiki/Wikipedia:Updating_information
Add ReferencesMediumFind sources for existing articlestemplateसत्यापनीयता
Expand articleHardExpand stubs to become sourced articlestemplateअच्छे लेख लिखने के सुझाव

For templates only, you can suggest more templates that match the task description.

Anything else?

Do you have any particular information or configuration that we should be aware of (like you have a special in-person mentoring program, or your wiki uses FlaggedRevisions...): This wiki uses FlaggedRevisions.

Event Timeline

Trizek-WMF renamed this task from Deploy Growth features on Hindi Wikipedia, to Deploy Growth features on Hindi Wikipedia.Mar 4 2021, 12:40 PM
Trizek-WMF created this task.
Trizek-WMF updated the task description. (Show Details)
Trizek-WMF removed subscribers: Strainu, jhsoby, FonAfon.
Trizek-WMF updated the task description. (Show Details)
Trizek-WMF updated the task description. (Show Details)

Everything seems to be ready for a dark launch.

Change 668437 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[mediawiki/extensions/GrowthExperiments@master] Add Hindi special page aliases

https://gerrit.wikimedia.org/r/668437

Change 668437 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Add Hindi special page aliases

https://gerrit.wikimedia.org/r/668437

Change 668537 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Enable Growth features on hiwiki in stealth mode

https://gerrit.wikimedia.org/r/668537

Change 668537 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable Growth features on hiwiki in stealth mode

https://gerrit.wikimedia.org/r/668537

Change 668539 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[mediawiki/extensions/GrowthExperiments@master] cleanup: Remove help panel URL from Help homepage module

https://gerrit.wikimedia.org/r/668539

Change 668511 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[mediawiki/extensions/GrowthExperiments@wmf/1.36.0-wmf.33] cleanup: Remove help panel URL from Help homepage module

https://gerrit.wikimedia.org/r/668511

Change 668539 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] cleanup: Remove help panel URL from Help homepage module

https://gerrit.wikimedia.org/r/668539

Change 668511 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@wmf/1.36.0-wmf.33] cleanup: Remove help panel URL from Help homepage module

https://gerrit.wikimedia.org/r/668511

Mentioned in SAL (#wikimedia-operations) [2021-03-04T20:08:43Z] <urbanecm@deploy1002> Synchronized php-1.36.0-wmf.33/extensions/GrowthExperiments/includes/HomepageModules/Help.php: 8cc65e3fd0b4a75599171b619108584526784853: cleanup: Remove help panel URL from Help homepage module (T276450; T273118) (duration: 00m 58s)

Mentioned in SAL (#wikimedia-operations) [2021-03-04T20:10:10Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: c6b04cb1bc0b56823f96c59c93bd88f331f7d261: Enable Growth features on hiwiki in stealth mode (T276450; 1/3) (duration: 00m 57s)

Mentioned in SAL (#wikimedia-operations) [2021-03-04T20:11:25Z] <urbanecm@deploy1002> Synchronized dblists/growthexperiments.dblist: c6b04cb1bc0b56823f96c59c93bd88f331f7d261: Enable Growth features on hiwiki in stealth mode (T276450; 2/3) (duration: 00m 57s)

Mentioned in SAL (#wikimedia-operations) [2021-03-04T20:12:44Z] <urbanecm@deploy1002> Synchronized wmf-config/config/hiwiki.yaml: c6b04cb1bc0b56823f96c59c93bd88f331f7d261: Enable Growth features on hiwiki in stealth mode (T276450; 3/3) (duration: 00m 58s)

Urbanecm_WMF added a subscriber: Urbanecm_WMF.

@Trizek-WMF This is deployed to Hindi Wikipedia in dark mode. Please let me know when it's time to deploy it to newcomers.

Thank you. I will notify the community on Monday.

@Urbanecm_WMF, two links are missing in the list of links displayed on the help panel,

The community has been informed about the future deployment.

Trizek-WMF set Due Date to Tue, Mar 23, 11:00 PM.Mar 8 2021, 2:08 PM

Change 669942 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] hiwiki: Add missing help panel link descriptions

https://gerrit.wikimedia.org/r/669942

Change 669942 merged by jenkins-bot:
[operations/mediawiki-config@master] hiwiki: Add missing help panel link descriptions

https://gerrit.wikimedia.org/r/669942

Mentioned in SAL (#wikimedia-operations) [2021-03-08T18:40:50Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: dfd95883ed15c532e6345d1dfacfc274b87fcd80: hiwiki: Add missing help panel link descriptions (T276450) (duration: 00m 58s)

@Urbanecm_WMF, two links are missing in the list of links displayed on the help panel,

Sorry, fixed!

Urbanecm_WMF changed the subtype of this task from "Task" to "Deadline".Mar 9 2021, 5:23 PM
Urbanecm_WMF changed Due Date from Tue, Mar 23, 11:00 PM to Wed, Mar 24, 8:00 PM.Mar 16 2021, 8:47 AM

Change 674652 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Promote several Growth target wikis out of dark mode

https://gerrit.wikimedia.org/r/674652

Change 674652 merged by jenkins-bot:
[operations/mediawiki-config@master] Promote several Growth target wikis out of dark mode

https://gerrit.wikimedia.org/r/674652

@Trizek-WMF Hi, the wiki was pushed out of dark mode. Let me know if there is anything I should change.